Loading...
Searching...
No Matches
concatenate.hpp File Reference

## Description

Provides concatenators for use with "streaming" BSON builder syntax.

Go to the source code of this file.

## Classes

struct | bsoncxx::v_noabi::builder::concatenate_array
| Container to concatenate an array. More...
struct | bsoncxx::v_noabi::builder::concatenate_doc
| Container to concatenate a document. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::builder
| Declares entities used to build BSON documents.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::builder
| Declares entities used to build BSON documents.

## Functions

concatenate_doc | bsoncxx::builder::concatenate (document::view_or_value doc)
| Helper method to concatenate a document.
concatenate_array | bsoncxx::v_noabi::builder::concatenate (array::view_or_value array)
| Helper method to concatenate an array.
concatenate_doc | bsoncxx::v_noabi::builder::concatenate (document::view_or_value doc)
| Helper method to concatenate a document.